OpenNMS API 1.2.9

## org.opennms.web.admin.notification.noticeWizard
Class NotificationWizardServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.admin.notification.noticeWizard.NotificationWizardServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class NotificationWizardServlet
extends javax.servlet.http.HttpServlet

A servlet that handles the data comming in from the notification wizard jsps.

Author:
  Jason Johns , OpenNMS
See Also:
  Serialized Form

Field Summary
`static java.lang.String` `SOURCE_PAGE_NOTICES`
`static java.lang.String` `SOURCE_PAGE_PATH`
`static java.lang.String` `SOURCE_PAGE_RULE`
`static java.lang.String` `SOURCE_PAGE_UEIS`
`static java.lang.String` `SOURCE_PAGE_VALIDATE`

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`NotificationWizardServlet()`

Method Summary
`private static java.lang.StringBuffer` `checkParens(java.lang.StringBuffer buffer)`
`private Notification` `copyNotice(Notification oldNotice)`
`void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`private java.lang.String` `makeQueryString(java.util.Map map)`
`private static java.lang.StringBuffer` `stripExtraWhite(java.lang.String s)`
`private static java.lang.StringBuffer` `stripServices(java.lang.String s)`
`private static java.lang.StringBuffer` `toSingleQuote(java.lang.StringBuffer buffer)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOURCE_PAGE_NOTICES

    public static final java.lang.String SOURCE_PAGE_NOTICES

See Also:
  Constant Field Values

### SOURCE_PAGE_UEIS

    public static final java.lang.String SOURCE_PAGE_UEIS

See Also:
  Constant Field Values

### SOURCE_PAGE_RULE

    public static final java.lang.String SOURCE_PAGE_RULE

See Also:
  Constant Field Values

### SOURCE_PAGE_VALIDATE

    public static final java.lang.String SOURCE_PAGE_VALIDATE

See Also:
  Constant Field Values

### SOURCE_PAGE_PATH

    public static final java.lang.String SOURCE_PAGE_PATH

See Also:
  Constant Field Values

Constructor Detail

### NotificationWizardServlet

    public NotificationWizardServlet()

Method Detail

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### copyNotice

    private Notification copyNotice(Notification oldNotice)

### makeQueryString

    private java.lang.String makeQueryString(java.util.Map map)

### toSingleQuote

    private static java.lang.StringBuffer toSingleQuote(java.lang.StringBuffer buffer)

### stripExtraWhite

    private static java.lang.StringBuffer stripExtraWhite(java.lang.String s)

### stripServices

    private static java.lang.StringBuffer stripServices(java.lang.String s)

### checkParens

    private static java.lang.StringBuffer checkParens(java.lang.StringBuffer buffer)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.